Who is this for?
----------------
The goal of these resources is to give a bird's eye view of the developments in open scientific research. That is,
we cover both social developments (e.g. the culture in various communities) as well as technological ones. As such,
no part of the contents are especially in-depth or geared towards advanced users of specific practices or tools.
Nevertheless, certain sections are more relevant to some people than to others. Specifically: 

- The most interesting sections for **Graduate students** will be about [navigating the literature](../LITERATURE_STUDY/README.md),
  [managing evolving projects](../VERSIONING/README.md), and [publishing and reviewing](../PUBLISHING/README.md).
- **Lab technicians** may derive the most benefit from the sections about [capturing data](../DATA_CAPTURE/README.md), 
  [working with reproducibility in mind](../REPRODUCIBILITY/README.md) and [sharing data](../DATA_SHARING/README.md).
- For **data scientists**, the sections on [organizing computational projects as workflows](../WORKFLOWS/README.md), 
  [managing versions of data and source code](../VERSIONING/README.md), 
  [open source software development](../SCIENTIFIC_SOFTWARE/README.md), and [data representation](../SEMANTICS/README.md) 
  will be most relevant.
- **Principal investigators** may be most interested in the sections on [data management](../DATA_MANAGEMENT/README.md),
  [data sharing](../DATA_SHARING/README.md), and [coping with evolving projects](../VERSIONING/README.md).
- **Scientific publishers** may be interested to know how scientists [navigate the literature](../LITERATURE_STUDY/README.md), what the expectations are for [enhanced publications](../PUBLISHING/README.md), and the needs for 
  [data publishing](../DATA_SHARING/README.md).
- **Science funders and policy makers** may easily find value in the [capturing data](../DATA_CAPTURE/README.md), [data management](../DATA_MANAGEMENT/README.md),   [data sharing](../DATA_SHARING/README.md) and [navigating the literature](../LITERATURE_STUDY/README.md).
- **Science communicators** may be more interested in exploring the content by starting with [navigating the literature](../LITERATURE_STUDY/README.md), [working with reproducibility in mind](../REPRODUCIBILITY/README.md) and [sharing data](../DATA_SHARING/README.md).
