# collection-visit [![NPM version](https://badge.fury.io/js/collection-visit.svg)](http://badge.fury.io/js/collection-visit)

> Visit a method over the items in an object, or map visit over the objects in an array.

## Related projects

* [map-visit](https://github.com/jonschlinkert/map-visit): Map `visit` over an array of objects.
* [object-visit](https://github.com/jonschlinkert/object-visit): Call the given method on each value in the given object.

## Install

Install with [npm](https://www.npmjs.com/)

```sh
$ npm i collection-visit --save
```

## Usage

```js
var visit = require('collection-visit');

var ctx = {
  data: {},
  set: function (key, value) {
    if (typeof key === 'object') {
      visit(ctx, 'set', key);
    } else {
      ctx.data[key] = value;
    }
  }
};

ctx.set('a', 'a');
ctx.set('b', 'b');
ctx.set('c', 'c');
ctx.set({d: {e: 'f'}});

console.log(ctx.data);
//=> {a: 'a', b: 'b', c: 'c', d: { e: 'f' }};
```

## Running tests

Install dev dependencies:

```sh
$ npm i -d && npm test
```

## Contributing

Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue](https://github.com/jonschlinkert/collection-visit/issues/new)

## Author

**Jon Schlinkert**

+ [github/jonschlinkert](https://github.com/jonschlinkert)
+ [twitter/jonschlinkert](http://twitter.com/jonschlinkert)

## License

Copyright © 2015 Jon Schlinkert
Released under the MIT license.

***

_This file was generated by [verb-cli](https://github.com/assemble/verb-cli) on August 05, 2015._